
Foreman - Bug #1061

Deleting environments in use triggers an error 500

07/22/2011 08:51 AM - Paul Kelly

Status: Closed   

Priority: Normal   

Assignee: Paul Kelly   

Category: Web Interface   

Target version: 0.4   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I just received this as well with foreman 0.3. My error was slightly different:

Processing EnvironmentsController#destroy (for ###.###.###.### at 2011-06-09 14:24:21) [DELETE]

Parameters: {"authenticity_token"=>"YIGfIErFy9v+4nsVZFnmFGRrzwRIO48dQ0MpCEanwtg=", "id"=>"beta"}

You may not destroy beta as it is in use!

NameError (undefined local variable or method `load_vars_for_ajax' for #<EnvironmentsController:0x7fe87306af00>):

app/controllers/environments_controller.rb:51:in `destroy'

passenger (3.0.2) lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'

passenger (3.0.2) lib/phusion_passenger/abstract_request_handler.rb:513:in `accept_and_process_next_request'

passenger (3.0.2) lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'

passenger (3.0.2) lib/phusion_passenger/classic_rails/application_spawner.rb:321:in `start_request_handler'

passenger (3.0.2) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `send'

passenger (3.0.2) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `handle_spawn_application'

passenger (3.0.2) lib/phusion_passenger/utils.rb:479:in `safe_fork'

passenger (3.0.2) lib/phusion_passenger/classic_rails/application_spawner.rb:270:in `handle_spawn_application'

passenger (3.0.2) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

passenger (3.0.2) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

passenger (3.0.2) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

passenger (3.0.2) lib/phusion_passenger/abstract_server.rb:180:in `start'

passenger (3.0.2) lib/phusion_passenger/classic_rails/application_spawner.rb:149:in `start'

passenger (3.0.2) lib/phusion_passenger/spawn_manager.rb:219:in `spawn_rails_application'

passenger (3.0.2) lib/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add'

passenger (3.0.2) lib/phusion_passenger/spawn_manager.rb:214:in `spawn_rails_application'

passenger (3.0.2) lib/phusion_passenger/abstract_server_collection.rb:82:in `synchronize'

passenger (3.0.2) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

passenger (3.0.2) lib/phusion_passenger/spawn_manager.rb:213:in `spawn_rails_application'

passenger (3.0.2) lib/phusion_passenger/spawn_manager.rb:132:in `spawn_application'

passenger (3.0.2) lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'

passenger (3.0.2) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

passenger (3.0.2) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

passenger (3.0.2) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

passenger (3.0.2) helper-scripts/passenger-spawn-server:99

Rendering /srv/www/usps-puppet-foreman/public/500.html (500 Internal Server Error)

Related issues:

Related to Foreman - Bug #696: Deletion of environment in use, sometimes gene... Resolved 03/01/2011

Associated revisions

Revision 0d14ad10 - 07/24/2011 11:28 AM - Paul Kelly

Fixes #1061 - Deleting used env gives 500 error

Signed-off-by: Paul Kelly <paul.ian.kelly@googlemail.com>
History

#1 - 07/22/2011 08:58 AM - Paul Kelly

- Status changed from New to Ready For Testing

#2 - 07/24/2011 03:06 AM - Paul Kelly

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 0d14ad105e56025f7a82489b10281b375c47c85c.

#3 - 07/24/2011 03:07 AM - Ohad Levy

- Category set to Web Interface

- Target version set to 0.4
